<bugID>1369705<Summary>avoid search UI overhead before first paint (search-one-offs_XBL_Constructor, search service load, searchbar context menu)</Summary><Description>urlbar_XBL_Constructor is triggered before first paint, and spends 40% of its time in _enableOrDisableOneOffSearches (which apparently calls search-one-offs_XBL_Constructor, so I guess it causes the search one off binding to be attached synchronously). From the name of this method, it looks like it could wait until the first time we open the awesomebar panel.

See this profile https://perfht.ml/2s1cSMz captured on a slow netbook to have more detailed data.</Description></bugID>